summaryrefslogtreecommitdiffstats
path: root/development/xml-twig
diff options
context:
space:
mode:
Diffstat (limited to 'development/xml-twig')
-rw-r--r--development/xml-twig/README5
-rw-r--r--development/xml-twig/slack-desc19
-rw-r--r--development/xml-twig/xml-twig.SlackBuild81
-rw-r--r--development/xml-twig/xml-twig.info8
4 files changed, 113 insertions, 0 deletions
diff --git a/development/xml-twig/README b/development/xml-twig/README
new file mode 100644
index 0000000000..48f7039e49
--- /dev/null
+++ b/development/xml-twig/README
@@ -0,0 +1,5 @@
+XML::Twig is (yet another!) XML transformation module.
+Its strong points: can be used to process huge documents while
+still being in tree mode; not bound by DOM or SAX, so it is
+very perlish and offers a very comprehensive set of methods;
+simple to use; DWIMs as much as possible. \ No newline at end of file
diff --git a/development/xml-twig/slack-desc b/development/xml-twig/slack-desc
new file mode 100644
index 0000000000..bea2d892b8
--- /dev/null
+++ b/development/xml-twig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+xml-twig: xml-twig (Perl XML transformation module)
+xml-twig:
+xml-twig: XML::Twig is (yet another!) XML transformation module.
+xml-twig: Its strong points: can be used to process huge documents while
+xml-twig: still being in tree mode; not bound by DOM or SAX, so it is
+xml-twig: very perlish and offers a very comprehensive set of methods;
+xml-twig: simple to use; DWIMs as much as possible.
+xml-twig:
+xml-twig: Homepage: http://xmltwig.com/xmltwig/
+xml-twig:
+xml-twig:
diff --git a/development/xml-twig/xml-twig.SlackBuild b/development/xml-twig/xml-twig.SlackBuild
new file mode 100644
index 0000000000..04d4c9ccb3
--- /dev/null
+++ b/development/xml-twig/xml-twig.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for xml-twig
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=XML-Twig
+VERSION=3.32
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PKGNAM=$(echo $PRGNAM | tr [:upper:] [:lower:])
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL -y INSTALLDIRS=vendor
+
+make
+
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+# Remove perlocal.pod and .packlist from $PKG
+( for i in perllocal.pod .packlist; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a Changes README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PKGNAM-$VERSION/$PKGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/xml-twig/xml-twig.info b/development/xml-twig/xml-twig.info
new file mode 100644
index 0000000000..0838a0c98d
--- /dev/null
+++ b/development/xml-twig/xml-twig.info
@@ -0,0 +1,8 @@
+PRGNAM="xml-twig"
+VERSION="3.32"
+HOMEPAGE="http://xmltwig.com/xmltwig/"
+DOWNLOAD="http://xmltwig.com/xmltwig/XML-Twig-3.32.tar.gz"
+MD5SUM="3ab6e0c0666383bd517189dae8f067a5"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="Erik Hanson"